Show / Hide Table of Contents

# Enum BattleNpcSubKind

An Enum describing possible BattleNpc kinds.

###### Namespace: Dalamud.Game.ClientState.Actors.Types.NonPlayer

###### Assembly: Dalamud.dll

##### Syntax

    public enum BattleNpcSubKind : byte

### Fields

Name | Description
--- | ---
Enemy | BattleNpc representing a standard enemy.
None | Invalid BattleNpc.
Pet | BattleNpc representing a Pet.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()